import { GridColumnOptionsBase } from "./GridColumnOptionsBase";
import { Type } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare abstract class GridColumnOptionsSectionBase extends GridColumnOptionsBase {
    static $t: Type;
    constructor();
    abstract bq(): boolean;
    protected bc(a: string, b: any, c: any): void;
    br(): void;
    bs(): void;
}
